Get a tag
GET
/api/v3/contacts/tags/{tagId}
const url = 'https://api.tryletterhead.com/api/v3/contacts/tags/1?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/tags/1?api=true' \ --header 'Authorization: Bearer <token>'Returns a single tag by its id, with its name and display color.
This is a company-level (v3) read. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β tagId
required
integer
The tagβs numeric identifier.
Query Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true to authenticate with an API key.
Responses
Section titled β Responses β200 OK
Media type application/json
object
items
object
id
integer
name
string
color
string
createdAt
string
updatedAt
string
message
string
total
integer
Example
{ "items": { "id": 7, "name": "engaged-readers", "color": "#4287f5", "createdAt": "2026-04-30T15:01:21+00:00", "updatedAt": "2026-08-12T09:14:02+00:00" }, "message": "Tag retrieved.", "total": 1}Still can’t find what you need? Contact support.